Skip to main content
GET
/
v1
/
installs
/
{installSid}
/
examVolume
Exam Volume
curl --request GET \
  --url http://api.dev.smarterproctoring.com/v1/installs/{installSid}/examVolume \
  --header 'token: <api-key>'
{
  "total": 123,
  "first": "<string>",
  "next": "<string>",
  "prev": "<string>",
  "last": "<string>",
  "count": 123,
  "offset": 123,
  "results": [
    {
      "sid": "<string>",
      "title": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

token
string
header
required

Path Parameters

installSid
string
required

Application Install Sid

Pattern: ^AI[a-f0-9]{32}$

Query Parameters

examOpenDate
string

Exam Open date, must provide close date with it

Pattern: .*Z
Example:

"1970-01-01T00:00:00.000Z"

examCloseDate
string

Exam Close date, must provide open date with it

Pattern: .*Z
Example:

"1970-01-01T00:00:00.000Z"

courseOfferingSid
string

Course Offering Sid

Pattern: ^CO[a-f0-9]{32}$
offset
integer

Offset for pagination

Required range: x >= 0
limit
integer

Number of items to return

Required range: x >= 0
sortKeys
enum<string>[]

Key to sort by

Available options:
examOpenDate,
createdDate
sortOrder
enum<string>
default:ASC

Sort order

Available options:
ASC,
DESC

Response

200 - application/json

Successful

total
number | null
first
string | null
next
string | null
prev
string | null
last
string | null
count
number | null
offset
number | null
results
object[]